Bluesky
Get Account Settings
Returns the account's publishing defaults. Available for Bluesky accounts.
GET
Bearerheader
AuthorizationBearer <op_>Workspace API key, sent as Authorization: Bearer op_... Keys are created in the dashboard.
id*stringLength
1 <= lengthSettings
application/json- response
accountId*stringdefaultLangs*array<string>|Bluesky: languages applied to a post that names none. Null when unset.
Example Request
import { Configuration, AccountsApi } from "@onepostly/sdk";const accountsApi = new AccountsApi( new Configuration({ accessToken: process.env.ONEPOSTLY_API_KEY }));const response = await accountsApi.getAccountSettings({ id: "acc_YOUR_BLUESKY_ACCOUNT_ID",});console.log(response);Example Response
{ "accountId": "acc_YOUR_BLUESKY_ACCOUNT_ID", "defaultLangs": [ "en" ]}